Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ComponentUtility Class Reference

Component utility class for Editor More...

## Public Member Functions
delegate void | DelayCallBack ()
| Delegate of delayed invoked method More...

## Static Public Member Functions
static Component | AddComponent (GameObject gameObject, System.Type type)
| Add component. More...
static Type | AddComponent< Type > (GameObject gameObject)
| Add component. More...
static void | Destroy (Object objectToUndo)
| Destroy object. More...
static void | RecordObject (Object objectToUndo, string name)
| Record object. More...
static void | RecordObjects (Object[] objs, string name)
| Records object. More...
static void | RegisterCompleteObjectUndo (Object objectToUndo, string name)
| Register Object in Undo. More...
static void | SetDirty (Object obj)
| Marks an Object as dirty. More...
static void | MoveBehaviour (Node node, NodeBehaviour behaviour)
| Move behavior to node. More...
static void | MoveParameterContainer (NodeGraph nodeGraph)
| Move the parameter container in the graph. More...
static void | MoveVariable (Parameter parameter, VariableBase variable)
| Move variable to parameter. More...
static void | MoveVariableList (Parameter parameter, VariableListBase variableList)
| Move variableList to parameter. More...
static void | RefreshNodeGraph (NodeGraph nodeGraph)
| Refresh NodeGraph. More...
static bool | IsValidObject (Object obj)
| Check if Object is valid. More...
static void | DelayDestroy (Object obj)
| Delay Destroy. More...
static void | DelayCall (DelayCallBack delayCall)
| Delay call. More...

## Static Public Attributes
static IComponentProcessor | editorProcessor = null
| Component processor in Editor More...
static bool | useEditorProcessor = true
| Flag using editorProcessor. More...

## Detailed Description

Component utility class for Editor

## Member Function Documentation

## ◆ AddComponent()

static Component AddComponent | ( | GameObject | gameObject,
|  | System.Type | type
| ) |  |
| static

Add component.

Parameters

  gameObject | GameObject
  type | Component type

Returns
  Component

## ◆ AddComponent< Type >()

static Type AddComponent< Type > | ( | GameObject | gameObject | ) |
| static

Add component.

Template Parameters

  Type | Component type

Parameters

  gameObject | GameObject

Returns
  Component

Type Constraints

  Type | : | Component |

## ◆ DelayCall()

static void DelayCall | ( | DelayCallBack | delayCall | ) |
| static

Delay call.

Delayed only in Editor.

Parameters

  delayCall | Method to call

## ◆ DelayCallBack()

delegate void DelayCallBack | ( |  | ) |

Delegate of delayed invoked method

## ◆ DelayDestroy()

static void DelayDestroy | ( | Object | obj | ) |
| static

Delay Destroy.

Delayed only in Editor.

Parameters

  obj | Object

## ◆ Destroy()

static void Destroy | ( | Object | objectToUndo | ) |
| static

Destroy object.

Parameters

  objectToUndo | Object

## ◆ IsValidObject()

static bool IsValidObject | ( | Object | obj | ) |
| static

Check if Object is valid.

Parameters

  obj | Object

## ◆ MoveBehaviour()

static void MoveBehaviour | ( | Node | node,
|  | NodeBehaviour | behaviour
| ) |  |
| static

Move behavior to node.

Valid only in Editor.

Parameters

  node | Moving destination node
  behaviour | Moving NodeBehaviour

## ◆ MoveParameterContainer()

static void MoveParameterContainer | ( | NodeGraph | nodeGraph | ) |
| static

Move the parameter container in the graph.

Valid only in Editor.

Parameters

  nodeGraph | Moving graph

## ◆ MoveVariable()

static void MoveVariable | ( | Parameter | parameter,
|  | VariableBase | variable
| ) |  |
| static

Move variable to parameter.

Valid only in Editor.

Parameters

  parameter | Moving destination Parameter
  variable | Moving VariableBase

## ◆ MoveVariableList()

static void MoveVariableList | ( | Parameter | parameter,
|  | VariableListBase | variableList
| ) |  |
| static

Move variableList to parameter.

Valid only in Editor.

Parameters

  parameter | Moving destination Parameter
  variableList | Moving VariableListBase

## ◆ RecordObject()

static void RecordObject | ( | Object | objectToUndo,
|  | string | name
| ) |  |
| static

Record object.

Valid only in Editor.

Parameters

  objectToUndo | Object
  name | Name

## ◆ RecordObjects()

static void RecordObjects | ( | Object[] | objs,
|  | string | name
| ) |  |
| static

Records object.

Valid only in Editor.

Parameters

  objs | Objects
  name | Name

## ◆ RefreshNodeGraph()

static void RefreshNodeGraph | ( | NodeGraph | nodeGraph | ) |
| static

Refresh NodeGraph.

Valid only in Editor.

Parameters

  nodeGraph | NodeGraph

## ◆ RegisterCompleteObjectUndo()

static void RegisterCompleteObjectUndo | ( | Object | objectToUndo,
|  | string | name
| ) |  |
| static

Register Object in Undo.

Valid only in Editor.

Parameters

  objectToUndo | Object
  name | Name

## ◆ SetDirty()

static void SetDirty | ( | Object | obj | ) |
| static

Marks an Object as dirty.

Valid only in Editor.

Parameters

  obj | Object

## Member Data Documentation

## ◆ editorProcessor

IComponentProcessor editorProcessor = null
| static

Component processor in Editor

## ◆ useEditorProcessor

bool useEditorProcessor = true
| static

Flag using editorProcessor.